aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorroy <[email protected]>2026-06-07 00:05:51 +0300
committerroy <[email protected]>2026-06-07 00:05:51 +0300
commitde4d59813b6ec55515fa76e303643011898fd234 (patch)
treef0129bcf7bb26f1d7e663f95f1e7281027fcafe9
parent09825a72480f091853c8ea754e1e65eaff87d0f1 (diff)
Added basic building script.
-rw-r--r--.buildignore1
-rw-r--r--.gitignore2
-rw-r--r--IMG_5491.jpgbin0 -> 337923 bytes
-rw-r--r--README.md1
-rw-r--r--deploy.sh24
-rw-r--r--index.html2
-rw-r--r--script.js1
7 files changed, 30 insertions, 1 deletions
diff --git a/.buildignore b/.buildignore
new file mode 100644
index 0000000..dcaf716
--- /dev/null
+++ b/.buildignore
@@ -0,0 +1 @@
+index.html
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..a234de5
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,2 @@
+.vscode
+index.html
diff --git a/IMG_5491.jpg b/IMG_5491.jpg
new file mode 100644
index 0000000..960852f
--- /dev/null
+++ b/IMG_5491.jpg
Binary files differ
diff --git a/README.md b/README.md
index e69de29..8b13789 100644
--- a/README.md
+++ b/README.md
@@ -0,0 +1 @@
+
diff --git a/deploy.sh b/deploy.sh
new file mode 100644
index 0000000..3e8032e
--- /dev/null
+++ b/deploy.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+if ! command -v minify >/dev/null 2>&1; then
+ echo "Minify not found. Exiting."
+ exit 1
+fi
+
+echo "Building from current folder..."
+echo "Minifying..."
+
+mkdir -p /tmp/buildwebsite/
+minify -r -o /tmp/buildwebsite/ ./
+
+if [[ ! -d /tmp/buildwebsite ]]; then
+ mkdir /tmp/buildwebsite/
+else
+ rm -rf /temp/buildwebsite/*
+fi
+
+default="/var/www/portfolio"
+read -p "Enter output folder (default=$default):" outputfolder
+outputfolder=${outputfolder:-default}
+
+cp -r /tmp/buildwebsite/* $outputfolder
diff --git a/index.html b/index.html
index 583e7ea..09217a5 100644
--- a/index.html
+++ b/index.html
@@ -7,7 +7,7 @@
<link rel="stylesheet" href="style.css">
</head>
<body>
- <div>WIP come back later (:</div>
+ <div>WIP come back later!! (:</div>
<script src="script.js"></script>
</body>
</html> \ No newline at end of file
diff --git a/script.js b/script.js
index e69de29..8b13789 100644
--- a/script.js
+++ b/script.js
@@ -0,0 +1 @@
+